### Constructor

# Clapper MediaItem new

#### Declaration [src]

    ClapperMediaItem*
    clapper_media_item_new (
      const gchar* uri
    )

#### Description [src]

Creates new `ClapperMediaItem` from URI.

Use one of the URI protocols supported by plugins in `GStreamer` installation. For local files you can use either “file” protocol or `clapper_media_item_new_from_file()` method.

It is considered a programmer error trying to create new media item from invalid URI. If URI is valid, but unsupported by installed plugins on user system, `ClapperPlayer` will emit a `ClapperPlayer::missing-plugin` signal upon playback.

#### Parameters

`uri`

  Type: `const gchar*`

  A media URI.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ClapperMediaItem`

A new `ClapperMediaItem`.

The caller of the function takes ownership of the data, and is responsible for freeing it.